Bug 840122 - Implement a server side quorum in glusterd
Implement a server side quorum in glusterd
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Pranith Kumar K
Sachidananda Urs
: Reopened
: 858428 (view as bug list)
Depends On: 839595 862017 862033
Blocks: 840818 858428 865324 874018
  Show dependency treegraph
Reported: 2012-07-13 15:09 EDT by Scott Haines
Modified: 2015-01-22 10:30 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 839595
: 840818 874018 (view as bug list)
Last Closed: 2012-11-12 13:47:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Haines 2012-07-13 15:09:05 EDT
+++ This bug was initially created as a clone of Bug #839595 +++

Description of problem:
When the Glusterd is connected to less than half of the number of members in cluster, glusterd will kill the local bricks of the volumes on which the server side quorum is enabled. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 RHEL Product and Program Management 2012-07-13 22:45:23 EDT
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 4 Scott Haines 2012-09-24 23:58:26 EDT
*** Bug 858428 has been marked as a duplicate of this bug. ***
Comment 6 Sachidananda Urs 2012-10-16 02:52:20 EDT
Quorum is part of update 3 now. I am able to enable/disable quorum with glusterd commands:

gluster volume set <volname> cluster.server-quorum-type - none/server

Quorum is enforced when the nodes go down...
Comment 8 errata-xmlrpc 2012-11-12 13:47:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.